http://data.jobs.iot.{region}.amazonaws.com/things/{thingName}/jobsGets the list of all jobs for a thing that are not in a terminal status.
The name of the thing that is executing the job.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://data.jobs.iot.{region}.amazonaws.com/things/{thingName}/jobs' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://data.jobs.iot.{region}.amazonaws.com/things/{thingName}/jobsGets the list of all jobs for a thing that are not in a terminal status.
The name of the thing that is executing the job.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://data.jobs.iot.{region}.amazonaws.com/things/{thingName}/jobs' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}